%define upstream_name	 Math-Pari
%define upstream_version 2.030523

%define pari_version	2.11.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Perl interface to PARI
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tar.gz
Patch5:     Math-Pari-2.030519-MP_NOGNUPLOT.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
# Don't "provide" the redundant unversioned perl(Math::Pari)
%global __provides_exclude ^perl\\(Math::Pari\\)$

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of
most PARI functions as Perl functions, and (almost) seamless merging of
PARI and Perl data. See ftp://megrez.math.u-bordeaux.fr/pub/pari for
more information about PARI.

%prep
%setup -q      -n %{upstream_name}-%{upstream_version}
%setup -q -a 1 -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor paridir=pari-%{pari_version} < /dev/null
%make_build CFLAGS="%{optflags}"

%ifnarch x86_64
%check
exit 0
make test MP_NOGNUPLOT=1
%endif

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1:2.30.523-4.mga10
+ Revision: 2087770
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 1:2.30.523-3.mga10
+ Revision: 2011360
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1:2.30.523-2.mga9
+ Revision: 1862113
- Rebuild for Perl 5.36

* Fri Apr 15 2022 tv <tv> 1:2.30.523-1.mga9
+ Revision: 1850177
- update to 2.030523

* Tue Apr 12 2022 tv <tv> 1:2.30.522.10-1.mga9
+ Revision: 1849029
- update to 2.03052201

* Mon Mar 28 2022 tv <tv> 1:2.30.521.30-1.mga9
+ Revision: 1829830
- update to 2.03052103

* Mon Mar 21 2022 tv <tv> 1:2.30.520.20-1.mga9
+ Revision: 1816650
- update to 2.03052002

* Fri Mar 18 2022 tv <tv> 1:2.30.520-1.mga9
+ Revision: 1798268
- update to 2.030520

* Thu Mar 17 2022 umeabot <umeabot> 1:2.30.519-2.mga9
+ Revision: 1796904
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1:2.30.519-1.mga9
+ Revision: 1784108
- update to 2.030519

* Mon May 24 2021 umeabot <umeabot> 1:2.30.518-6.mga9
+ Revision: 1726896
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1:2.30.518-5.mga8
+ Revision: 1594922
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1:2.30.518-4.mga8
+ Revision: 1533690
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Sep 23 2019 tv <tv> 1:2.30.518-3.mga8
+ Revision: 1444946
- Fix operation of MP_NOGNUPLOT and use it
- disable testsuite for now
- update bundled libpari to 2.11.2
- rebuild with perl-5.30
- update to 2.030518
- update bundled parfi from 2.3.3 to 2.11.1 (previous succeeded locally but then failed on BS)
- update to 2.030517
- update to 2.030514
+ tmb <tmb>
- rebuild for perl 5.30

* Sat Mar 23 2019 tv <tv> 1:2.30.512-1.mga7
+ Revision: 1379832
- update to 2.030512

* Tue Mar 19 2019 tv <tv> 1:2.30.510-1.mga7
+ Revision: 1378872
- update to 2.030510

* Sat Mar 02 2019 tv <tv> 1:2.30.509-1.mga7
+ Revision: 1371081
- update to 2.030509

* Sat Feb 23 2019 tv <tv> 1:2.30.508-1.mga7
+ Revision: 1369635
- update to 2.030508

* Sun Sep 16 2018 tv <tv> 1:2.30.507-1.mga7
+ Revision: 1259194
- update to 2.030507

* Fri Aug 10 2018 tv <tv> 1:2.30.506-1.mga7
+ Revision: 1250927
- update to 2.030506

* Wed Aug 08 2018 tv <tv> 1:2.30.504-1.mga7
+ Revision: 1250249
- update to 2.030504

* Wed Aug 08 2018 pterjan <pterjan> 1:2.30.500-3.mga7
+ Revision: 1249538
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 1:2.30.500-2.mga7
+ Revision: 1249200
- Rebuild for perl 5.28

* Thu Aug 02 2018 tv <tv> 1:2.30.500-1.mga7
+ Revision: 1246882
- update to 2.030500

* Wed Aug 01 2018 tv <tv> 1:2.10.811-1.mga7
+ Revision: 1246515
- update to 2.010811

* Tue Oct 03 2017 tv <tv> 1:2.10.809.0-2.mga7
+ Revision: 1165379
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1:2.10.809.0-1.mga7
+ Revision: 1155775
- update to 2.01080900

* Thu Aug 31 2017 pterjan <pterjan> 1:2.10.808-10.mga7
+ Revision: 1149080
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1:2.10.808-9.mga7
+ Revision: 1126452
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1:2.10.808-8.mga6
+ Revision: 1029726
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1:2.10.808-7.mga6
+ Revision: 957710
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:2.10.808-6.mga6
+ Revision: 844995
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1:2.10.808-5.mga6
+ Revision: 840677
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1:2.10.808-4.mga5
+ Revision: 738981
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:2.10.808-3.mga5
+ Revision: 735665
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:2.10.808-2.mga5
+ Revision: 685370
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1:2.10.808-1.mga5
+ Revision: 634072
- update to 2.010808

* Tue Jun 03 2014 pterjan <pterjan> 1:2.10.807-2.mga5
+ Revision: 631448
- Rebuild for perl 5.20

* Thu May 29 2014 sander85 <sander85> 1:2.10.807-1.mga5
+ Revision: 627574
- update to 2.010807

* Tue May 06 2014 jquelin <jquelin> 1:2.10.806.70-1.mga5
+ Revision: 620725
- update to 2.01080607

* Sat Oct 19 2013 umeabot <umeabot> 1:2.10.806.50-6.mga4
+ Revision: 524417
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1:2.10.806.50-5.mga4
+ Revision: 430880
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1:2.10.806.50-4.mga4
+ Revision: 430123
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1:2.10.806.50-3.mga3
+ Revision: 369634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1:2.10.806.50-2.mga3
+ Revision: 250946
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 1:2.10.806.50-1.mga2
+ Revision: 105674
- update to 2.01080605
+ sander85 <sander85>
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1:2.10.806.40-3.mga1
+ Revision: 28483
- rebuild for mageia
- imported package perl-Math-Pari


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806.40-3mdv2011.0
+ Revision: 556003
- rebuild for perl 5.12

  + Michael Scherer <misc@mandriva.org>
    - fix License
    - fix permissions

* Thu Mar 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806.40-1mdv2010.1
+ Revision: 514104
- update to 2.01080604

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806.30-1mdv2010.1
+ Revision: 477627
- update to 2.01080603

* Thu Nov 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806.20-1mdv2010.1
+ Revision: 465169
- update to 2.01080602

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806.10-1mdv2010.1
+ Revision: 462865
- update to 2.01080601

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.10.806-1mdv2010.1
+ Revision: 462464
- update to 2.010806
- update to 2.010806

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.010801-2mdv2010.0
+ Revision: 440612
- rebuild

* Fri Feb 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.010801-1mdv2009.1
+ Revision: 340033
- update to new version 2.010801

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Olivier Thauvin <nanardon@mandriva.org>
    - update internal pari version

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.010800-1mdv2009.0
+ Revision: 201860
- update to new version 2.010800

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.010709-1mdv2008.1
+ Revision: 136283
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 2.010709-1mdv2007.0
+ Revision: 105109
- 2.010709
- use pari 2.1.7
- disable test on x86_64 (will fix later)
- Import perl-Math-Pari

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.010706-1mdv2007.0
- New version 2.010706

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.010705-1mdv2007.0
- New release 2.010705
- spec cleanup

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010704-1mdk
- 2.010704

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010703-1mdk
- 2.010703

* Thu Nov 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010702-1mdk
- 2.010702

* Thu Nov 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010701-1mdk
- 2.010701

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010700-1mdk
- New version 2.010700

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.010604-2mdk
- Buildrequires fix

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010604-1mdk
- New version

* Thu Jun 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010603-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010603-1mdk
- New version

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-2mdk
- Better wording in the description

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-1mdk
- New version

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010601-1mdk
- New version
- Add Changes in documentation

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010600-1mdk
- New version
- Include the pari sources in the RPM instead of downloading them during compilation
- Remove BuildRequires on pari

